package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessApprovalEntity;

import java.util.List;
import java.util.Map;

/**
 * 审批数据接收表
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-08-10 18:46:32
 */
public interface BusinessApprovalService extends IService<BusinessApprovalEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<BusinessApprovalEntity> queryNewPage(Map<String, Object> params);

    //获取员工工资账目列表
    List<BusinessApprovalEntity> querySonList(Integer approvalFatherId);

    //获取出勤记录列表
    List<BusinessApprovalEntity> queryCQList(Map<String, Object> params);

    /**
     * 审批通过处理
     * @param params
     */
    void pass(Map<String, Object> params);

    /**
     * 审批不通过处理
     * @param params
     */
    void noPass(Map<String,Object> params);

    /**
     * 根据id 获取立项信息 合同id
     * @param projectId
     * @return
     */
    Map<String, Object> getProjectConInfo(Integer projectId);

    /**
     * 根据id 获取 工资账目或者出勤的信息
     * @param id
     * @return
     */
    BusinessApprovalEntity getCqOrGzInfo(Integer id);
}

